GET api/badgereaderapi/badgeReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "21ecfa6c-0de4-40a4-905d-35d16b937d98",
"name": "sample string 2",
"pc_id": "cf2bc988-21cf-4275-8610-4a35cf31c509",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "de98833a-3426-4472-882a-c0b1a541db9a",
"site_id": "c0ac0d13-e0c4-4008-9e3e-5babea4852f0",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>de98833a-3426-4472-882a-c0b1a541db9a</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>21ecfa6c-0de4-40a4-905d-35d16b937d98</id> <name>sample string 2</name> <parity>6</parity> <pc_id>cf2bc988-21cf-4275-8610-4a35cf31c509</pc_id> <site_id>c0ac0d13-e0c4-4008-9e3e-5babea4852f0</site_id> <stop_bits>8</stop_bits> </badgereader>